### Method

# EDataServer Source dup_display_name

since: 3.6

#### Declaration [src]

    gchar*
    e_source_dup_display_name (
      ESource* source
    )

#### Description [src]

Thread-safe variation of e_source_get_display_name(). Use this function when accessing `source` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

Available since: 3.6

#### Return value

Type: `gchar*`

A newly-allocated copy of `ESource:display-name`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.